Name:          jibx
Version:       1.2.3
Release:       %mkrel 2
Summary:       Framework for binding XML data to Java objects 

Group:         Development/Java
License:       BSD and ASL 1.1
URL:           http://sourceforge.net/projects/jibx/
Source0:       http://sourceforge.net/projects/jibx/files/jibx/jibx-1.2.3/%{name}_1_2_3.zip
# from http://repo1.maven.org/maven2/org/jibx/config
Source1:       jibx-parent-2-mod.pom
Source2:       main-reactor-1.2.3.pom
# http://repo1.maven.org/maven2/org/jibx/
Source3:       jibx-bind-1.2.3.pom
Source4:       jibx-extras-1.2.3.pom
Source5:       jibx-run-1.2.3.pom
Source6:       jibx-schema-1.2.3.pom
Source7:       jibx-tools-1.2.3-mod.pom


Patch0:        %{name}-classpath.patch
BuildArch:     noarch
BuildRequires: java-devel >= 0:1.6.0
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: junit
BuildRequires: asm2 
BuildRequires: bcel
BuildRequires: bea-stax-api
BuildRequires: eclipse-equinox-osgi
BuildRequires: eclipse-jdt
BuildRequires: eclipse-rcp
BuildRequires: joda-time
BuildRequires: liblog4j-java
BuildRequires: qdox
BuildRequires: dom4j
BuildRequires: jdom
BuildRequires: xpp3

Requires:      bcel
Requires:      dom4j
Requires:      jdom
Requires:      joda-time
Requires:      sonatype-oss-parent
Requires:      xpp3
Requires:      wstx

Requires:      java
Requires:      jpackage-utils

%description
JiBX is a framework for binding XML data to Java objects. It lets you
work with data from XML documents using your own class structures. 

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      %{name} = %{version}-%{release}
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}
#Patch to add the bundled jar dependencies in the classpath
%patch0 -p1
find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;
rm -rf %{_builddir}/%{name}/build/docs/src/*
rm -rf build/api build/classes

#Symlink the eclipse dependencies 
plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.core.contenttype_*.jar`
ln -s "$plugin_file" lib/org.eclipse.core.contenttype.jar

plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.core.jobs_*.jar`
ln -s "$plugin_file" lib/org.eclipse.core.jobs.jar

plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.core.runtime_*.jar`
ln -s "$plugin_file" lib/org.eclipse.core.runtime.jar

plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.core.resources_*.jar`
ln -s "$plugin_file" lib/org.eclipse.core.resources.jar

plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.equinox.common_*.jar`
ln -s "$plugin_file" lib/org.eclipse.equinox.common.jar

plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.equinox.preferences_*.jar`
ln -s "$plugin_file" lib/org.eclipse.equinox.preferences.jar

plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.text_*.jar`
ln -s "$plugin_file" lib/org.eclipse.text.jar

plugin_file=`ls %{_libdir}/eclipse/dropins/jdt/plugins/org.eclipse.jdt.core.manipulation_*.jar`
ln -s "$plugin_file" lib/org.eclipse.jdt.core.manipulation.jar

#plugin_file=`ls %{_libdir}/eclipse/plugins/org.eclipse.osgi_*.jar`
#ln -s "$plugin_file" lib/org.eclipse.osgi.jar
ln -s %{_javadir}/eclipse-osgi.jar lib/org.eclipse.osgi.jar

plugin_file=`ls %{_libdir}/eclipse/dropins/jdt/plugins/org.eclipse.jdt.core_*jar`
ln -s "$plugin_file" lib/org.eclipse.jdt.core.jar


build-jar-repository -p lib \
asm2/asm2 \
asm2/asm2-commons \
bcel \
bea-stax-api \
dom4j \
jdom \
joda-time \
log4j \
qdox \
xpp3 

sed -i '/Class-Path/I d' %{_builddir}/%{name}/build/build.xml

%build
pushd build/
sed -i -e s:stax-api.jar:bea-stax-api.jar:g build.xml

export CLASSPATH=$(build-classpath junit)
ant current #test-multiples test-singles test-extras basic-blackbox blackbox devdoc javadoc

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}/%{_javadir}/%{name}
for sub_component in bind extras run schema tools; do
install -m 644 lib/jibx-${sub_component}.jar \
%{buildroot}/%{_javadir}/%{name}/${sub_component}-%{version}.jar
done

(
  cd %{buildroot}%{_javadir}/%{name}
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}/%{_javadocdir}/%{name}
cp -rp %{_builddir}/%{name}/build/docs/* \
%{buildroot}/%{_javadocdir}/%{name}/

mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 %SOURCE1 %{buildroot}%{_mavenpomdir}/JPP.%{name}-parent.pom
%add_maven_depmap JPP.%{name}-parent.pom
install -m 644 %SOURCE2 %{buildroot}%{_mavenpomdir}/JPP.%{name}-main-reactor.pom
%add_maven_depmap JPP.%{name}-main-reactor.pom
install -m 644 %SOURCE3 %{buildroot}%{_mavenpomdir}/JPP.%{name}-bind.pom
%add_maven_depmap JPP.%{name}-bind.pom %{name}/bind.jar
install -m 644 %SOURCE4 %{buildroot}%{_mavenpomdir}/JPP.%{name}-extras.pom
%add_maven_depmap JPP.%{name}-extras.pom %{name}/extras.jar
install -m 644 %SOURCE5 %{buildroot}%{_mavenpomdir}/JPP.%{name}-run.pom
%add_maven_depmap JPP.%{name}-run.pom %{name}/run.jar
install -m 644 %SOURCE6 %{buildroot}%{_mavenpomdir}/JPP.%{name}-schema.pom
%add_maven_depmap JPP.%{name}-schema.pom %{name}/schema.jar
install -m 644 %SOURCE7 %{buildroot}%{_mavenpomdir}/JPP.%{name}-tools.pom
%add_maven_depmap JPP.%{name}-tools.pom %{name}/tools.jar

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}/*.jar
%dir %{_javadir}/%{name}
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc changes.txt readme.html

%files javadoc
%{_javadocdir}/%{name}

%changelog

* Tue Oct 18 2011 gil <gil> 1.2.3-2.mga2
+ Revision: 156172
- added m2 poms
  added links unversioned libraries
  used eclipse-equinox-osgi support

* Sun May 08 2011 ahmad <ahmad> 1.2.3-1.mga1
+ Revision: 95952
- imported package jibx


* Thu Apr 21 2011 Johannes Lips <johannes.lips@googlemail.com> - 1.2.3-1
- Update to 1.2.3

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 09 2010 Johannes Lips <johannes.lips@googlemail.com> - 1.2.2-7
- added a version requirement for java-devel
- disabled the tests
* Wed Sep 09 2010 Johannes Lips <johannes.lips@googlemail.com> - 1.2.2-6
- added a patch to meet all the dependencies

* Sun Sep 05 2010 Johannes Lips <johannes.lips@googlemail.com> - 1.2.2-5
- removed the classpath
- changed the license
- removed most required packages

* Thu Sep 02 2010 Johannes Lips <johannes.lips@googlemail.com> - 1.2.2-4
- changed the structure
- 
* Thu Sep 02 2010 Johannes Lips <johannes.lips@googlemail.com> - 1.2.2-3
- symlinked all eclipse plugins
- removed all bundled dependencies
- added the build-jar-repository in the %%prep section
- added the tests

* Fri Aug 27 2010 Johannes Lips <johannes.lips@googlemail.com> - 1.2.2-2
- consistent usage of %%{buildroot}
- added missing javadoc file attributes

* Fri Aug 27 2010 Johannes Lips <johannes.lips@googlemail.com> - 1.2.2-1
- initial build
